Subject: Re: [bug#27438] [PATCH] guix: build: ruby-build-system: Install to the vendor directory
From: Christopher Baines <[email-masked]>
To: Ben Woodcroft <[email-masked]>
Cc: [email-masked], Ludovic Courtès <[email-masked]>, [email-masked]
Date: Sun, 14 Jan 2018 22:24:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Ben Woodcroft <[email-masked]> writes:

> Hi Chris,
>
>
> On 18/12/17 00:19, Christopher Baines wrote:
>> Hey,
>>
>> It's been a while since I looked at this, but I think it's still
>> relevant.
>>
>> As a reminder, currently the search paths for the Ruby packages in Guix
>> are a bit off [1], which makes it difficult to use Ruby gems with
>> different versions of Ruby.
>>
>> Rubygems by default installs gems to directories specific to the version
>> of Ruby, and this can be helpful when managing multiple versions of Ruby
>> and different sets of gem packages in a shared directory, but with Guix,
>> this isn't necessary, as the store can be used.
>>
>> Ruby/Rubygems supports installing gems in to a vendor directory, which
>> is for gems installed by the package system [2]. While Guix blurs the
>> lines between the "package system" and the "user", using this vendor
>> directory might come in useful.
>>
>> I've attached an updated patch, and successfully built every Ruby
>> package [3], as well as all of the packages that were changed in the
>> patch. The only failure was ruby-pg, which failed to build before this
>> patch.
>>
>> Ideally when using specific versions of ruby, any gems that need to be
>> build with that version of ruby, would be. While this change doesn't do
>> that, it does simplify the search paths of ruby packages and the
>> packages for ruby gems.
>>
>> Reading the bug report again, I think there was nearly consensus about
>> merging this, but I wanted to check if anyone has any comments or
>> experience with Ruby/Rubygems before merging this?
> I think go ahead with this one. It will be useful particularly when we
> update ruby to 2.5.

Great, I've pushed this along with the other ruby build system change.

Thanks for reviewing,

Chris